Package be.vlaanderen.mercurius.mohm.schemas.v1

# Enum Class SupportAndRepairStatusType

java.lang.Object
java.lang.Enum<SupportAndRepairStatusType>
be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairStatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<SupportAndRepairStatusType>`, `java.lang.constant.Constable`

public enum SupportAndRepairStatusType extends Enum<SupportAndRepairStatusType>
Generiek type voor de status van een budget onderhoud en herstel.

Java class for SupportAndRepairStatusType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="SupportAndRepairStatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Received"/>
         <enumeration value="Accepted"/>
         <enumeration value="Refused"/>
         <enumeration value="Active"/>
         <enumeration value="Non_active"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPTED`
  Het budget is aanvaard.
  `ACTIVE`
  Het budget is actief.
  `NON_ACTIVE`
  Het budget is niet meer actief.
  `RECEIVED`
  Aanvraag voor budget is ontvangen.
  `REFUSED`
  Het budget is geweigerd.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SupportAndRepairStatusType`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static SupportAndRepairStatusType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SupportAndRepairStatusType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECEIVED

    public static final SupportAndRepairStatusType RECEIVED
    Aanvraag voor budget is ontvangen.

  - ### ACCEPTED

    public static final SupportAndRepairStatusType ACCEPTED
    Het budget is aanvaard.

  - ### REFUSED

    public static final SupportAndRepairStatusType REFUSED
    Het budget is geweigerd.

  - ### ACTIVE

    public static final SupportAndRepairStatusType ACTIVE
    Het budget is actief.

  - ### NON_ACTIVE

    public static final SupportAndRepairStatusType NON_ACTIVE
    Het budget is niet meer actief.

- ## Method Details

  - ### values

    public static SupportAndRepairStatusType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SupportAndRepairStatusType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static SupportAndRepairStatusType fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.